﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.IO.Ports;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Testprogramm
{
	//=== Class: MainWindow =================================================================================
	///
	/// @brief  Beschreibt eine Klasse, die von der Klasse Window abgeleitet wird.  
	///         Beschreibt das Hauptfenster der Anwendung.
	/// 
	/// @class  Klasse beinhaltet Interaktionslogik (Verhalten) für das Fenster MainWindow.xaml
	/// 
	//=======================================================================================================
	public partial class MainWindow : Window
	{
		//=== Konstruktor: MainWindow ===========================================================================
		///
		/// @brief  Konstruktor wird aufgerufen, wenn das Fenster "MainWindow" instanziert wird 
		/// 
		/// @param  void
		/// 
		//=======================================================================================================
		public MainWindow()
		{
			// Fenster initialisieren
			InitializeComponent();
		}

		//=== Eventhandler: ButtonNeuesFenster ==================================================================
		///
		/// @brief  Eventhandler wird aufgerufen wenn der Button "buttonNewWindow" gedrückt wird
		/// 
		/// @param  object eventSender, RoutedEventArgs eventData
		/// 
		/// @return
		//=======================================================================================================
		private void ButtonNeuesFenster(object sender, 
										RoutedEventArgs e)
		{
			// Neues Fenster erzeugen und modal öffnen
			SecondWindow secondWindow = new SecondWindow();
			secondWindow.Show();
		}

		//=== Eventhandler: ButtonBeendenClick ==================================================================
		///
		/// @brief  Eventhandler wird aufgerufen wenn der Button "buttonClose" gedrückt wird
		/// 
		/// @param  object eventSender, RoutedEventArgs eventData
		/// 
		/// @return
		//=======================================================================================================
		private void ButtonBeendenClick(object eventSender,
										RoutedEventArgs eventData)
		{
			// Fenster schliesen
			this.Close();
		}
	}
}